package com.bocloud.ims.interfaces.resource;

import java.util.List;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.RouteTable;

public interface RouteTableService {

    BocloudResult<GridBean<RouteTable>> list(Pager pager);

    BocloudResult<RouteTable> create(RouteTable routeTable, RequestContext context);

    BocloudResult<String> remove(Long id, RequestContext context);

    BocloudResult<RouteTable> modify(RouteTable routeTable, RequestContext context);

    BocloudResult<RouteTable> detail(Long id);

    BocloudResult<List<RouteTable>> listNotAttachBySubnet(Long subnetId);
}
